class OsobyAutosController < ApplicationController
  def index
    @osoby_autos = OsobyAuto.all
  end

  def show
    @osoby_auto = OsobyAuto.find(params[:id])
  end

  def new
    @osoby_auto = OsobyAuto.new
  end

  def create
    @osoby_auto = OsobyAuto.new(params[:osoby_auto])
    if @osoby_auto.save
      redirect_to @osoby_auto, :notice => "Successfully created osoby auto."
    else
      render :action => 'new'
    end
  end

  def edit
    @osoby_auto = OsobyAuto.find(params[:id])
  end

  def update
    @osoby_auto = OsobyAuto.find(params[:id])
    if @osoby_auto.update_attributes(params[:osoby_auto])
      redirect_to @osoby_auto, :notice  => "Successfully updated osoby auto."
    else
      render :action => 'edit'
    end
  end

  def destroy
    @osoby_auto = OsobyAuto.find(params[:id])
    @osoby_auto.destroy
    redirect_to osoby_autos_url, :notice => "Successfully destroyed osoby auto."
  end
end
